[jp] cvs update/ja.po: invalid multibyte sequence problem

Lukas Ruf ruf at rawip.org
Thu Oct 20 06:32:33 EDT 2005


Dear all,

trying to compile a freshly checked-out jpilot results in two problems
mentioned below. Any ideas on how I can fix them?


First: Warning

+ libtoolize --force --copy
+ rm -f configure Makefile.in Makefile config.h.in
+ echo 'Running intltoolize'
Running intltoolize
+ aclocal -I m4
m4/gtk.m4:7: warning: underquoted definition of AM_PATH_GTK
  run info '(automake)Extending aclocal'
  or see http://sources.redhat.com/automake/automake.html#Extending-aclocal
/usr/share/aclocal/gtkextra.m4:8: warning: underquoted definition of AM_PATH_GTK_EXTRA
/usr/share/aclocal/glib.m4:8: warning: underquoted definition of AM_PATH_GLIB

Second: Error

  Making all in po
  make[2]: Entering directory `/home/ruf/Others/Jpilot/jpilot/po'
  file=`echo ja | sed 's,.*/,,'`.gmo \
    && rm -f $file && /usr/bin/msgfmt -o $file ja.po
  ja.po:2853:14: invalid multibyte sequence
  ja.po:2853:17: invalid multibyte sequence
  ja.po:2853:18: invalid multibyte sequence
  ja.po:2853:19: invalid multibyte sequence
  ja.po:2853:26: invalid multibyte sequence
  ja.po:2856:12: invalid multibyte sequence
  ja.po:2856:15: invalid multibyte sequence
  ja.po:2856:16: invalid multibyte sequence
  ja.po:2856:17: invalid multibyte sequence
  ja.po:2856:18: invalid multibyte sequence
  ja.po:2856:19: invalid multibyte sequence
  ja.po:2856:24: invalid multibyte sequence
  ja.po:2856:25: invalid multibyte sequence
  ja.po:2856:26: invalid multibyte sequence
  ja.po:2856:27: invalid multibyte sequence
  ja.po:2859:12: invalid multibyte sequence
  ja.po:2859:13: invalid multibyte sequence
  ja.po:2859:14: invalid multibyte sequence
  ja.po:2859:19: invalid multibyte sequence
  ja.po:2859:20: invalid multibyte sequence
  /usr/bin/msgfmt: too many errors, aborting
  make[2]: *** [ja.gmo] Error 1
  make[2]: Leaving directory `/home/ruf/Others/Jpilot/jpilot/po'
  make[1]: *** [all-recursive] Error 1
  make[1]: Leaving directory `/home/ruf/Others/Jpilot/jpilot'
  make: *** [all] Error 2



My configuration:

  This package is configured for the following features:
  ------------------------------------------------------
  Compiling Expense plugin...............   yes
  Compiling SyncTime plugin..............   yes
  Compiling KeyRing plugin...............   yes
  Compiling with private record support..   yes
  Compiling with Datebk support..........   yes
  Compiling with plugin support..........   yes
  Compiling with Mañana support..........   no
  Compiling with Prometheon support......   no
  GTK-2 support..........................   yes
  Compiler Options.......................   -g -O2  -I/usr/include
  Prefix directory.......................   /usr/local
  pilot-link headers.....................   /usr/include
  NLS support (foreign languages)........   yes
  USB support enabled....................   yes
  dialer support.........................   yes
  pilot-link 0.12 support................   no
  Pilot-link version found...............   0.11.8


My system:

  Debian unstable

Thanks for any hint!

wbr,
Lukas
-- 
Lukas Ruf   <http://www.lpr.ch> | Ad Personam
rbacs      <http://wiki.lpr.ch> | Restaurants, Bars and Clubs
Raw IP   <http://www.rawip.org> | Low Level Network Programming
Style  <http://email.rawip.org> | How to write emails



More information about the Jpilot mailing list